﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace AdvCallCenterClient
{
    public partial class Login : UserControl
    {
        public Login()
        {
            InitializeComponent();
        }
        public event EventHandler<EventArgs> OnSuccessfulLogin;
        private void hlLogin_Click(object sender, RoutedEventArgs e)
        {
            //validate the login
            this.tbLoginStatus.Text = "Authentication in progress...";
            this.IsEnabled = false;
            AuthenticationProxy.AuthenticationServiceClient authService = new AuthenticationProxy.AuthenticationServiceClient();
            authService.LoginCompleted += new EventHandler<AdvCallCenterClient.AuthenticationProxy.LoginCompletedEventArgs>(authService_LoginCompleted);
            authService.LoginAsync(this.txRepID.Text, this.pbPassword.Password, null, false);     
        }

        void authService_LoginCompleted(object sender, AdvCallCenterClient.AuthenticationProxy.LoginCompletedEventArgs e)
        {
            this.tbLoginStatus.Text = string.Empty;
            if (e.Result == true)
            {
                if (OnSuccessfulLogin != null)
                    OnSuccessfulLogin(this, null);
            }
            else
            {
                this.IsEnabled = true;
                this.tbLoginStatus.Text = "Invalid user id or password";
            }

        }
    }
}
