﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AdvCallManager
{
    class CallQueue
    {
        public EventHandler<EventArgs> OnCallReceived;
        private Queue<PhoneCall> _callQueue = new Queue<PhoneCall>();
        public void Enqueue(PhoneCall phoneCall)
        {
            _callQueue.Enqueue(phoneCall);

            if (OnCallReceived != null)
            {
                //no need to send eny event args
                OnCallReceived(this, null);
            }
        }
        public PhoneCall Dequeue()
        {
            return _callQueue.Dequeue();
        }
    }
}
