@Echo off
REM CURR-DIR is the top level solution directory
set CURR_DIR=C:\Working\hanuk\Documents\Book\MSDN\Code\AdvCallCenter
set FXDIR=C:\Windows\Microsoft.NET\Framework\v2.0.50727

REM stop any webdev.webserver.exe instances
echo Cleaning up the processes
@echo off
taskkill /IM webdev.webserver.exe
taskkill /IM AdvCallManager.exe
taskkill /IM AdvPolicyServer.exe


Echo Press ENTER to start web severs
@Echo off
pause > nul
Echo Starting web servers
@Echo off

REM Sart the web servers
start %FXDIR%\WebDev.WebServer.exe /port:1043 /path:%CURR_DIR%\AdvBusinessServices /vpath:"/"
start %FXDIR%\WebDev.WebServer.exe /port:1044 /path:%CURR_DIR%\AdvUtilityServices /vpath:"/"
start %FXDIR%\WebDev.WebServer.exe /port:1041 /path:%CURR_DIR%\AdvCallClientWeb /vpath:"/"
start %FXDIR%\WebDev.WebServer.exe /port:1042 /path:%CURR_DIR%\AdvCallSimulatorWeb /vpath:"/"


Echo Press ENTER to start TCP servers
@Echo off
pause > nul
Echo Starting TCP Servers
@Echo off
REM Start the TCP server
start %CURR_DIR%\AdvCallManager\bin\debug\AdvCallManager.exe

REM Start the policy server (change diretory is necessary so that clientaccesspolicy.xml can be located
REM in the current directory

cd %CURR_DIR%\AdvPolicyServer\bin\debug\
start AdvPolicyServer.exe 
cd %CURR_DIR%

echo
echo all the servers and clients started ....
echo 


echo Start the test by opening up the following URLs in the web browser tabs : 
echo 2 instances of http://localhost:1041/SLCallClient.html and 1 instance of http://localhost:1042/SLCallSimulator.html

